const express = require("express");
const router = express.Router();
const AssetKeyFullInfo = require("../../model/stellar/assetKeyFull");

router.get("/:assetcode", async (req, res) => {
  const assetCode = req.params.assetcode;

  try {
    const assetData = await AssetKeyFullInfo.findOne({
      assetcode: assetCode,
    });
    res.status(200).json({
      data: assetData,
    });
    console.log("/getassetdata - Getting asset data successful");
  } catch (errorWhenGettingThePatients) {
    console.log(
      "Getting asset data failed: ERROR : ",
      errorWhenGettingThePatients
    );
    console.log("/getassetdata - Getting asset data failed");
    res.status(500).json({
      error: "Getting asset data failed: ERROR :",
      errorWhenGettingThePatients,
    });
  }
});

module.exports = router;
