const express = require("express");
const router = express.Router();
const Practitioner = require("./../../model/practitioner/practitioner");

router.get("/", async (req, res) => {
  try {
    const practitionerData = await Practitioner.find({});
    console.log(practitionerData);
    res.status(200).json({
      message: "Practitioner data",
      data: practitionerData,
    });
    console.log("/allpractitioner - getting all practitioners success");
  } catch (error) {
    console.log("Getting all practitioners failed : ERROR : ", error);
    console.log("/allpractitioner - getting all practitioners failed");
    res.status(500).json({
      error: "Getting all practitioners success failed : ",
      error,
    });
  }
});
module.exports = router;
