import React from "react";
import { View, Button, StyleSheet } from "react-native";

export default function PatientMainMenu({ navigation }) {
  const handlePractitioners = () => {
    navigation.navigate("All Practitioners");
  };

  const handleNftRequests = () => {
    navigation.navigate("PatientNFTRequests");
  };

  const handleChatView = () => {
    navigation.navigate("PatientMainChatView");
  };
  const handleLogout = () => {
    navigation.navigate("MainScreen");
  };
  return (
    <View style={styles.container}>
      <View style={styles.buttonContainer}>
        <Button
          title="View Practitioners"
          onPress={() => handlePractitioners()}
        />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="Chat" onPress={() => handleChatView()} />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="NFT requests" onPress={() => handleNftRequests()} />
      </View>
      <View style={styles.buttonContainer}>
        <Button title="Logout" onPress={() => handleLogout()} />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  buttonContainer: {
    marginVertical: 10,
    width: "80%",
  },
});
