import CryptoJS from "react-native-crypto-js";

function DecryptWithAssetKey(aesKey, encryptedTxt) {
  console.log(aesKey, encryptedTxt);
  const key = CryptoJS.enc.Utf8.parse(aesKey);
  const options = {
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
    iv: CryptoJS.enc.Utf8.parse(aesKey),
  };

  const decryptedBytes = CryptoJS.AES.decrypt(encryptedTxt, key, options);

  const decryptedTxt = decryptedBytes.toString(CryptoJS.enc.Utf8);
  console.log(decryptedTxt);
  return decryptedTxt;
}

export default DecryptWithAssetKey;
